using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MultipleRowSelection
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ugGrid.KeyDown += new KeyEventHandler(ugGrid_KeyDown);
            ugGrid.KeyUp += new KeyEventHandler(ugGrid_KeyUp);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DoDataBindings();
            Infragistics.Win.AppStyling.StyleManager.Load("AmpsDefault.isl");
        }
        private void DoDataBindings()
        {
            try
            {
                DataTable dt = new DataTable();
                dt.Columns.Add("ROW_ID", typeof(int));
                dt.Columns.Add("DESCRIPTION", typeof(string));
                dt.Columns.Add("WK1", typeof(decimal));
                dt.Columns.Add("WK2", typeof(decimal));
                dt.Columns.Add("WK3", typeof(decimal));
                dt.Columns.Add("WK4", typeof(decimal));
                dt.Columns.Add("WK5", typeof(decimal));

                dt.Rows.Add(1, "Description - One", 100, 200, 300, 400, 500);
                dt.Rows.Add(2, "Description - Two", 110, 210, 310, 410, 510);
                dt.Rows.Add(3, "Description - Three", 120, 220, 320, 420, 520);
                dt.Rows.Add(3, "Description - Three", 130, 230, 330, 430, 530);
                dt.Rows.Add(3, "Description - Four", 140, 240, 340, 440, 540);
                dt.Rows.Add(3, "Description - Five", 150, 250, 350, 450, 550);
                dt.Rows.Add(3, "Description - Six", 160, 260, 360, 460, 560);
                dt.Rows.Add(3, "Description - Seven", 170, 270, 370, 470, 570);
                dt.Rows.Add(3, "Description - Eight", 180, 280, 380, 480, 580);
                dt.Rows.Add(3, "Description - Nine", 190, 290, 390, 490, 590);
                dt.Rows.Add(3, "Description - Ten", 200, 300, 400, 500, 600);


                ugGrid.DataSource = dt;
                ugGrid.DataBind();
            }
            catch (Exception ex)
            {
                //bool rethrow = ExceptionPolicy.HandleException(ex, "AMPS_Basic_Policy");
            }
        }

        void ugGrid_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.KeyData == Keys.ShiftKey)
            {
                ugGrid.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.Edit;
            }
        }

        void ugGrid_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyData == (Keys.ShiftKey | Keys.Shift))
            {
                ugGrid.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.RowSelect;
                ugGrid.ActiveRow.Activate();
                ugGrid.PerformAction(Infragistics.Win.UltraWinGrid.UltraGridAction.ToggleRowSel);
            }
        }

        private void ugGrid_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            Infragistics.Win.UltraWinGrid.UltraGridGroup group1 = new Infragistics.Win.UltraWinGrid.UltraGridGroup("ReadOnly Columns", 1);
            Infragistics.Win.UltraWinGrid.UltraGridGroup group2 = new Infragistics.Win.UltraWinGrid.UltraGridGroup("Editable Columns", 2);
            e.Layout.Bands[0].Groups.Add(group1);
            e.Layout.Bands[0].Groups.Add(group2);

            
            group1.Columns.Add(e.Layout.Bands[0].Columns["ROW_ID"]);
            group1.Columns.Add(e.Layout.Bands[0].Columns["DESCRIPTION"]);

            group2.Columns.Add(e.Layout.Bands[0].Columns["WK1"]);
            group2.Columns.Add(e.Layout.Bands[0].Columns["WK2"]);
            group2.Columns.Add(e.Layout.Bands[0].Columns["WK3"]);
            group2.Columns.Add(e.Layout.Bands[0].Columns["WK4"]);
            group2.Columns.Add(e.Layout.Bands[0].Columns["WK5"]);
            
            e.Layout.Bands[0].Columns["DESCRIPTION"].Width = 260;
            e.Layout.Bands[0].Columns["DESCRIPTION"].MaxWidth = 260;
            e.Layout.Bands[0].Columns["DESCRIPTION"].MinWidth = 260;

            e.Layout.Bands[0].Columns["WK1"].Width = 75;
            e.Layout.Bands[0].Columns["WK1"].MaxWidth = 75;
            e.Layout.Bands[0].Columns["WK1"].MinWidth = 75;

            e.Layout.Bands[0].Columns["WK2"].Width = 75;
            e.Layout.Bands[0].Columns["WK2"].MaxWidth = 75;
            e.Layout.Bands[0].Columns["WK2"].MinWidth = 75;

            e.Layout.Bands[0].Columns["WK3"].Width = 75;
            e.Layout.Bands[0].Columns["WK3"].MaxWidth = 75;
            e.Layout.Bands[0].Columns["WK3"].MinWidth = 75;

            e.Layout.Bands[0].Columns["WK4"].Width = 75;
            e.Layout.Bands[0].Columns["WK4"].MaxWidth = 75;
            e.Layout.Bands[0].Columns["WK4"].MinWidth = 75;

            e.Layout.Bands[0].Columns["WK5"].Width = 75;
            e.Layout.Bands[0].Columns["WK5"].MaxWidth = 75;
            e.Layout.Bands[0].Columns["WK5"].MinWidth = 75;

            e.Layout.Bands[0].Columns["WK1"].CellActivation = Infragistics.Win.UltraWinGrid.Activation.AllowEdit;
            e.Layout.Bands[0].Columns["WK1"].TabStop = true;

            e.Layout.Bands[0].Columns["WK2"].CellActivation = Infragistics.Win.UltraWinGrid.Activation.AllowEdit;
            e.Layout.Bands[0].Columns["WK2"].TabStop = true;

            e.Layout.Bands[0].Columns["WK3"].CellActivation = Infragistics.Win.UltraWinGrid.Activation.AllowEdit;
            e.Layout.Bands[0].Columns["WK3"].TabStop = true;

            e.Layout.Bands[0].Columns["WK4"].CellActivation = Infragistics.Win.UltraWinGrid.Activation.AllowEdit;
            e.Layout.Bands[0].Columns["WK4"].TabStop = true;

            e.Layout.Bands[0].Columns["WK5"].CellActivation = Infragistics.Win.UltraWinGrid.Activation.AllowEdit;
            e.Layout.Bands[0].Columns["WK5"].TabStop = true;

            e.Layout.Bands[0].Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True;
          }

    }
}